package com.bocloud.cmp.model.hmc;

@Deprecated
public class HmcVirtualFibreChannelMappingModel {
    private Long id; // ID
    private Long cmpViosId; // vios在hmc_partition表中的id
    private Integer serverViosId; // hmc中vios编号
    private Integer serverViosSlot; // vios槽号
    private Boolean serverViredOn;
    private Boolean serverRequired;
    private String serverViosName; // vios名称
    private Long cmpPartitionId; // 逻辑分区在hmc_partition表中的id
    private Integer clientPartitionId; // hmc中逻辑分区编号
    private Integer clientPartitionSlot; // 逻辑分区槽号
    private Boolean clientViredOn;
    private Boolean clientRequired;
    private String clientPartitionName; // 分区名称
    private String clientWwpns; //wwpn号
    private Long physicalFibreChannelId; // 对应表physical_fibre_channel的id
    private String physicalUniqueDeviceId; // 映射的物理FC卡设备id
    private String fcName; // 光纤通道的名称
    private String partitionStatus; // 分区状态

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCmpViosId() {
        return cmpViosId;
    }

    public void setCmpViosId(Long cmpViosId) {
        this.cmpViosId = cmpViosId;
    }

    public Integer getClientPartitionId() {
        return clientPartitionId;
    }

    public void setClientPartitionId(Integer clientPartitionId) {
        this.clientPartitionId = clientPartitionId;
    }

    public Integer getServerViosId() {
        return serverViosId;
    }

    public void setServerViosId(Integer serverViosId) {
        this.serverViosId = serverViosId;
    }

    public String getPhysicalUniqueDeviceId() {
        return physicalUniqueDeviceId;
    }

    public void setPhysicalUniqueDeviceId(String physicalUniqueDeviceId) {
        this.physicalUniqueDeviceId = physicalUniqueDeviceId;
    }

    public String getClientWwpns() {
        return clientWwpns;
    }

    public void setClientWwpns(String clientWwpns) {
        this.clientWwpns = clientWwpns;
    }

    public String getFcName() {
        return fcName;
    }

    public void setFcName(String fcName) {
        this.fcName = fcName;
    }

    public String getClientPartitionName() {
        return clientPartitionName;
    }

    public void setClientPartitionName(String clientPartitionName) {
        this.clientPartitionName = clientPartitionName;
    }

    public String getPartitionStatus() {
        return partitionStatus;
    }

    public void setPartitionStatus(String partitionStatus) {
        this.partitionStatus = partitionStatus;
    }

    public Integer getServerViosSlot() {
        return serverViosSlot;
    }

    public void setServerViosSlot(Integer serverViosSlot) {
        this.serverViosSlot = serverViosSlot;
    }

    public Long getCmpPartitionId() {
        return cmpPartitionId;
    }

    public void setCmpPartitionId(Long cmpPartitionId) {
        this.cmpPartitionId = cmpPartitionId;
    }

    public Integer getClientPartitionSlot() {
        return clientPartitionSlot;
    }

    public void setClientPartitionSlot(Integer clientPartitionSlot) {
        this.clientPartitionSlot = clientPartitionSlot;
    }

    public Boolean getServerViredOn() {
        return serverViredOn;
    }

    public void setServerViredOn(Boolean serverViredOn) {
        this.serverViredOn = serverViredOn;
    }

    public Boolean getServerRequired() {
        return serverRequired;
    }

    public void setServerRequired(Boolean serverRequired) {
        this.serverRequired = serverRequired;
    }

    public Boolean getClientViredOn() {
        return clientViredOn;
    }

    public void setClientViredOn(Boolean clientViredOn) {
        this.clientViredOn = clientViredOn;
    }

    public Boolean getClientRequired() {
        return clientRequired;
    }

    public void setClientRequired(Boolean clientRequired) {
        this.clientRequired = clientRequired;
    }

    public String getServerViosName() {
        return serverViosName;
    }

    public void setServerViosName(String serverViosName) {
        this.serverViosName = serverViosName;
    }

    public Long getPhysicalFibreChannelId() {
        return physicalFibreChannelId;
    }

    public void setPhysicalFibreChannelId(Long physicalFibreChannelId) {
        this.physicalFibreChannelId = physicalFibreChannelId;
    }
}
